# Bank Account Details Using VPA

API will provide the bank account details for the VPA provided.

## &#x20;vpa\_analysis

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/banking/vpa_analysis`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>vpa </td><td>String </td><td>Yes </td><td>Virtual Payment Address</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "vpa": "6XXXXXXXXX@paytm"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "status": "completed",
    "reference_id": "391c9c44-a688-4a1f-b43f-5358f12bf775",
    "result": {
        "name": "Mr R XXXXXXX",
        "ifsc": "IDIB000T022",
        "vpa": "6XXXXXXXXX@paytm",
        "vpaDetails": {
            "vpa": "6XXXXXXXXX@paytm",
            "account_holder_name": "Mr R XXXXXXX",
            "entity_type": "INDIVIDUAL"
        },
        "accountDetails": {
            "account_type": "SAVINGS",
            "account_ifsc": "IDIB000T022"
        },
        "ifscDetails": {
            "BANK": "Indian Bank",
            "IFSC": "IDIB000T022",
            "BRANCH": "TIMIRI",
            "CENTRE": "TIMIRI",
            "DISTRICT": "TIMIRI",
            "STATE": "TAMIL NADU",
            "ADDRESS": "38/81 NEHRU BAZAAR TIMIRI TIMIRI  PIN 632512",
            "CONTACT": "+91XXXXXXXXXX",
            "IMPS": "TRUE",
            "RTGS": "TRUE",
            "CITY": "RANIPET",
            "ISO3166": "IN-TN",
            "NEFT": "TRUE",
            "MICR": "632000000",
            "UPI": "TRUE"
        },
        "txnId": "e56f6e78-672c-465d-9a2b-3ca5aa333444"
    },
    "requested_at": "2026-03-03T06:10:46.254Z",
    "completed_at": "2026-03-03T06:10:48.565Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2026-03-03T05:28:49.245Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response " %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid vpa",
        "field": "vpa",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "ecd78066-c7e9-4c9b-ba97-8eb18ed32947",
    "status": "failed",
    "error": {
        "message": "Validation Failed",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T05:21:05.793Z",
    "completed_at": "2026-03-03T05:21:07.640Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## &#x20;Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/banking/vpa_analysis`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "status": "completed",
    "reference_id": "391c9c44-a688-4a1f-b43f-5358f12bf775",
    "result": {
        "name": "Mr R XXXXXXX",
        "ifsc": "IDIB000T022",
        "vpa": "6XXXXXXXXX@paytm",
        "vpaDetails": {
            "vpa": "6XXXXXXXXX@paytm",
            "account_holder_name": "Mr R XXXXXXX",
            "entity_type": "INDIVIDUAL"
        },
        "accountDetails": {
            "account_type": "SAVINGS",
            "account_ifsc": "IDIB000T022"
        },
        "ifscDetails": {
            "BANK": "Indian Bank",
            "IFSC": "IDIB000T022",
            "BRANCH": "TIMIRI",
            "CENTRE": "TIMIRI",
            "DISTRICT": "TIMIRI",
            "STATE": "TAMIL NADU",
            "ADDRESS": "38/81 NEHRU BAZAAR TIMIRI TIMIRI  PIN 632512",
            "CONTACT": "+91XXXXXXXXXX",
            "IMPS": "TRUE",
            "RTGS": "TRUE",
            "CITY": "RANIPET",
            "ISO3166": "IN-TN",
            "NEFT": "TRUE",
            "MICR": "632000000",
            "UPI": "TRUE"
        },
        "txnId": "e56f6e78-672c-465d-9a2b-3ca5aa333444"
    },
    "requested_at": "2026-03-03T06:10:46.254Z",
    "completed_at": "2026-03-03T06:10:48.565Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2026-03-03T05:28:49.245Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "ecd78066-c7e9-4c9b-ba97-8eb18ed32947",
    "status": "failed",
    "error": {
        "message": "Validation Failed",
        "code": "ERROR"
    },
    "requested_at": "2026-03-03T05:21:05.793Z",
    "completed_at": "2026-03-03T05:21:07.640Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/assets-verification/india/bank-account-details-using-vpa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
